Talking [Q] Game of War - Fire Age

I recently rooted my Kindle fire so I could install the Android market which works fine. I wanted to download the recently release for Android - Game of War fire age - Its telling me before I even download that it isn't compatible with my device. UGH!! I jumped through major hoops to get the darn thing rooted and working the way I wanted. Does anyone know why it wouldn't like the device? Did I do something wrong? Miss something?

Apologies if this belongs in a different forum...help please

Doug